API Response

API Response

PingPong API calls return HTTP status codes. Some API calls also return JSON response bodies that include information about the resource. Each REST API request returns an HTTP status code.

HTTP Status Codes

For successful requests, PingPong returns HTTP 2XX status codes. For failed requests, PingPong returns HTTP 4XX or 5XX status codes. Please refer to section Appendix C - HTTP status codes for all HTTP status code

Validation Errors

For validation errors, PingPong returns the HTTP 400 Bad Request status code. To prevent validation errors, ensure that parameters are the right type and conform to constraints:

Parameter typeDescription
CharacterNames, addresses, and phone numbers have maximum character limits.
NumericCredit cards, amounts, and card verification value (CVV) must use non-negative numeric values and have required formats. For example, a CVV must be three or four numbers while a credit card number must contain only numbers.
MonetaryUse the right currency.

Error Response Body

{
  "error_msg": "<string>",
  "error_code": "<integer>",
  "path": "<string>"
}